/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
/* CONTATTI */
.contatti{
	background-size: contain;
	background-color: #39393A;
	background-position: bottom;
	background-repeat: no-repeat;
}
.gridContatti, .sub-privacy{
	display: flex;
}
h2.titleContatti, p.textContatti, button.ksf-form-submit, input.ksf-form-text, input.ksf-form-text::placeholder, label.privacy_label, label.newsletter_label, p.info-error-text, h2.titlePopup, p.textPopup{
	font-family: 'Lato', sans-serif !important;
}
h2.titleContatti, input.ksf-form-text, button.ksf-form-submit, h2.titlePopup{
	line-height: 1;
}
p.textContatti, p.textPopup{
	line-height: 1.3;
}
h2.titleContatti, h2.titlePopup{
	font-weight: 900;
}
span.textBold, p.textPopup{
	font-weight: bold;
}
h2.titleContatti, button.ksf-form-submit:hover, h2.titlePopup{
	color: #90CEC9 !important;
}
p.textContatti, button.ksf-form-submit, input.ksf-form-text, input.ksf-form-text::placeholder, label.privacy_label, label.newsletter_label, p.textPopup{
	color: white !important;
}
p.textContatti.last{
	margin-bottom: 0;
}
.ksf-form-main-container {
   width: 100% !important;
}
button.ksf-form-submit {
	width: 100%;
	padding: 0 !important;
	border-radius: 6px !important;
	background-color: #90CEC9 !important;
	border: 1px solid #90CEC9 !important;
}
button.ksf-form-submit:hover{
	background-color: transparent !important;
}
input.ksf-form-text:-webkit-autofill, input.ksf-form-text:-webkit-autofill:hover, input.ksf-form-text:-webkit-autofill:focus{
	border: 1px solid white !important;
  	-webkit-text-fill-color: white;
  	-webkit-box-shadow: 0 0 0px 1000px #39393A inset;
  	transition: background-color 5000s ease-in-out 0s;
	outline:none;
}
.ksf-form-element.invio{
	margin: 0;
}
input.ksf-form-text {
    border: 1px solid white !important;
	background-color: #39393A !important;
	outline:none !important;
}
input.ksf-form-text::placeholder{
	opacity: 0.6;
}
input[type="checkbox"] {
    appearance: none;
    background-color: #39393a !important;
    border: 1px solid white;
    position: relative;
}
input[type="checkbox"]:checked:after {
    position: absolute;
    content: '\e5ca';
    font-family: 'Material Symbols Outlined';
    color: #90ceca;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.ksf-form-element.ksf-error:after {
    background: transparent !important;
    content: '\e645' !important;
    font-family: 'Material Symbols Outlined' !important;
    color: #e80000 !important;
    font-weight: 300;
	font-size: 20px !important;
}
p.ksf-result-submit {
    display: none;
}
/* POPUP FORM */
.popupForm.showPopup {
	z-index: 997;
	opacity: 1;
 	transform: scale(1);
}
.popupForm{
 	position: fixed;
 	top: 0;
 	left: 0;
 	width: 100%;
 	height: 100%;
	z-index: -1;
 	opacity: 0;
 	transition: all .3s ease-in-out;
 	transform: scale(0);
	overflow-y:auto;
	background-color:#000000B8;
	display: flex;
    justify-content: center;
}
.popupForm .closePopup {
	cursor: pointer;
 	position:absolute;
	line-height: 0;
}
.innerPopup {
	position:relative;
	overflow:auto;
	margin: auto 0;
	height: fit-content;
    background: #39393A;
}
.closePopup span {
    font-family: 'Material Symbols Outlined';
	color: white;
	line-height:1;
}
/* FOOTER */
.footer{
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: white;
}
@media (max-width: 550px){
	/* CONTATTI */
	.gridContatti{
		grid-gap: 7vw;
		padding: 12vw 10vw 15vw;
	}
	h2.titleContatti, h2.titlePopup {
		font-size: 11vw;
	}
	h2.titleContatti{
		margin-bottom: 8vw;
	}
	p.textContatti, p.textPopup{
		font-size: 5vw;
	}
	p.textContatti:not(.last), p.textPopup{
		margin-bottom: 7vw;
	}
	button.ksf-form-submit{
		height: 12vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text{
		padding: 0 4vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 14vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 3.6vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 5vw;
	}
	.sub-privacy:last-child {
    	margin-top: 5vw;
	}
	.privacy{
		margin-bottom: 8vw;
	}
	.sub-privacy {
    	align-items: flex-start;
    	grid-gap: 2.5vw;
	}
	input[type="checkbox"] {
		width: 4.5vw;
		height: 4.5vw;
		flex: 0 0 4.5vw;
		margin-top: 1vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 4.2vw;
	}
	label.privacy_label, label.newsletter_label{
		flex: 1;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 3.3vw !important;
		line-height: 1.6;
	}
	p.info-error-text{
		margin: 0.7vw 0;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 100vw;
		height: 100vh;
    	padding: 15vw 10vw;
	}
	.closePopup {
    	top: 4.5vw;
    	right: 4vw;
	}
	.closePopup span {
    	font-size: 7vw;
	}
	h2.titlePopup {
    	width: 70vw;
    	margin-bottom: 5vw;
	}
	/* FOOTER */
	.footer{
		padding: 6vw 0;
	}
	img.logoFooter{
		width: 50vw;
	}
}
@media (min-width: 551px){
	.sub-privacy {
    	align-items: center;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		line-height: 1.15;
	}
}
@media (min-width: 551px) and (max-width: 899.9px){
	.footer{
		padding: 5vw 0;
	}
}
@media (min-width: 551px) and (max-width: 766.9px){
	/* CONTATTI */
	.gridContatti{
		grid-gap: 6vw;
		padding: 10vw 8vw;
	}
	h2.titleContatti, h2.titlePopup{
		font-size: 9.2vw;
	}
	h2.titleContatti{
		margin-bottom: 6vw;
	}
	p.textContatti, p.textPopup{
		font-size: 3.9vw;
	}
	p.textContatti:not(.last){
		width: 80vw;
	}
	p.textContatti.last {
    	width: 78vw;
	}
	p.textContatti:not(.last), p.textPopup{
		margin-bottom: 5vw;
	}
	button.ksf-form-submit{
		height: 11.2vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text{
		padding: 0 3.5vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 11vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 2.62vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 4vw;
	}
	.sub-privacy:last-child {
    	margin-top: 4vw;
	}
	.privacy{
		margin-bottom: 6vw;
	}
	.sub-privacy {
    	grid-gap: 1.5vw;
	}
	input[type="checkbox"] {
		width: 2.8vw;
		height: 2.8vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 2.5vw;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 2.2vw !important;
	}
	p.info-error-text{
		margin: 0.7vw 0;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 100vw;
		height: 100vh;
    	padding: 10vw 8vw;
	}
	h2.titlePopup {
    	margin-bottom: 4vw;
	}
	p.textPopup {
    	width: 77vw;
	}
	.closePopup {
    	top: 3.5vw;
    	right: 3.5vw;
	}
	.closePopup span {
    	font-size: 5vw;
	}
	/* FOOTER */
	img.logoFooter{
		width: 40vw;
	}
}
@media (max-width: 766.9px){
	.innerPopup {
    	width: 100vw;
		height: 100vh;
	}
}
@media (min-width: 767px) and (max-width: 899.9px){
	/* CONTATTI */
	.gridContatti{
		padding: 8vw;
		grid-gap: 5.5vw;
	}
	h2.titleContatti, h2.titlePopup{
		font-size: 7.6vw;
	}
	h2.titleContatti{
		margin-bottom: 4.5vw;
	}
	p.textContatti, p.textPopup{
		font-size: 2.83vw;
	}
	p.textContatti:not(.last){
		width: 64vw;
	}
	.colContatti:last-child{
		width: 75vw;
	}
	p.textPopup, p.textContatti:not(.last){
		margin-bottom: 4.2vw;
	}
	button.ksf-form-submit{
		height: 7.8vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text{
		padding: 0 2.5vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 8vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 1.89vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 3vw;
	}
	.sub-privacy:last-child {
    	margin-top: 3vw;
	}
	.privacy{
		margin-bottom: 5vw;
	}
	.sub-privacy {
    	grid-gap: 1vw;
	}
	input[type="checkbox"] {
		width: 2.2vw;
		height: 2.2vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 2vw;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 1.65vw !important;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 80vw;
    	padding: 8vw;
	}
	.closePopup {
    	top: 2.5vw;
    	right: 2.5vw;
	}
	.closePopup span {
    	font-size: 3.5vw;
	}
	h2.titlePopup {
    	margin-bottom: 3vw;
	}
	/* FOOTER */
	img.logoFooter{
		width: 35vw;
	}
}
@media (min-width: 900px){
	.footer{
		padding: 4vw 0;
	}
}
@media (min-width: 900px) and (max-width: 1099.9px){
	/* CONTATTI */
	.gridContatti{
		padding: 7vw;
		grid-gap: 3vw;
	}
	h2.titleContatti, h2.titlePopup{
		font-size: 5.3vw;
	}
	h2.titleContatti{
		width: 53vw;
		margin-bottom: 3vw;
	}
	p.textContatti, p.textPopup{
		font-size: 2.2vw;
	}
	p.textContatti{
		width: 71vw;
	}
	.colContatti:last-child{
		width: 65vw;
	}
	p.textContatti:not(.last), p.textPopup{
		margin-bottom: 3vw;
	}
	button.ksf-form-submit{
		height: 6.5vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text{
		padding: 0 2.5vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 6vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 1.61vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 2vw;
	}
	.sub-privacy:last-child {
    	margin-top: 2vw;
	}
	.privacy{
		margin-bottom: 4vw;
	}
	.sub-privacy {
    	grid-gap: 0.7vw;
	}
	input[type="checkbox"] {
		width: 1.7vw;
		height: 1.7vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 1.6vw;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 1.3vw !important;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 70vw;
    	padding: 6vw 7vw;
	}
	.closePopup {
    	top: 2vw;
    	right: 2vw;
	}
	.closePopup span {
    	font-size: 3vw;
	}
	h2.titlePopup{
		margin-bottom: 2.5vw;
	}
	/* FOOTER */
	img.logoFooter{
		width: 28vw;
	}
}
@media (max-width: 1099.9px){
	.gridContatti{
		flex-direction: column;
	}
	p.info-error-text{
		margin: 0.7vw 0;
	}
}
@media (min-width: 1100px){
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text{
		padding: 0 1.5vw;
	}
}
@media (min-width: 1100px) and (max-width: 1400px){
	/* CONTATTI */
	.gridContatti{
		grid-gap: 3.5vw;
		padding: 7vw;
		align-items: center;
	}
	.colContatti:first-child{
		flex: 0 0 50%;
	}
	.colContatti:last-child{
		flex: 1;
	}
	h2.titleContatti, h2.titlePopup {
		font-size: 5.28vw;
	}
	p.textContatti, p.textPopup{
		font-size: 2vw;
	}
	h2.titleContatti, p.textContatti:not(.last), p.textPopup{
		margin-bottom: 2.5vw;
	}
	button.ksf-form-submit{
		height: 5.5vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 5vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 1.32vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 1.5vw;
	}
	.sub-privacy:last-child {
    	margin-top: 1vw;
	}
	.privacy{
		margin-bottom: 3vw;
	}
	.sub-privacy {
    	grid-gap: 0.7vw;
	}
	input[type="checkbox"] {
		width: 1.3vw;
		height: 1.3vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 1.3vw;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 1vw !important;
	}
	p.info-error-text{
		margin: 0.7vw 0;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 60vw;
    	padding: 5vw 7vw;
	}
	.closePopup {
    	top: 2vw;
    	right: 2vw;
	}
	.closePopup span {
    	font-size: 2.3vw;
	}
	h2.titlePopup {
    	margin-bottom: 2.5vw;
	}
	/* FOOTER */
	img.logoFooter{
		width: 24vw;
	}
}
@media (min-width: 1401px){
	/* CONTATTI */
	.gridContatti{
		grid-gap: 2vw;
		padding: 7vw 15vw;
		align-items: center;
	}
	.colContatti:first-child{
		flex: 0 0 50%;
	}
	.colContatti:last-child{
		flex: 1;
	}
	h2.titleContatti, h2.titlePopup{
		font-size: 4.17vw;
	}
	p.textContatti, p.textPopup{
		font-size: 1.57vw;
	}
	h2.titleContatti, p.textContatti:not(.last), p.textPopup{
		margin-bottom: 2vw;
	}
	button.ksf-form-submit{
		height: 4vw;
	}
	.contatti input.ksf-form-text, .popupForm input.ksf-form-text, .ksf-form-element.ksf-error:after{
    	height: 4vw !important;
	}
	input.ksf-form-text, button.ksf-form-submit{
		font-size: 1.05vw !important;
	}
	.ksf-form-element:not(.invio) {
    	margin: 0 0 1vw;
	}
	.sub-privacy:last-child {
    	margin-top: 0.5vw;
	}
	.privacy{
		margin-bottom: 2vw;
	}
	.sub-privacy {
    	grid-gap: 0.5vw;
	}
	input[type="checkbox"] {
		width: 1vw;
		height: 1vw;
	}
	input[type="checkbox"]:checked:after {
		font-size: 1vw;
	}
	label.privacy_label, label.newsletter_label, p.info-error-text{
		font-size: 0.8vw !important;
	}
	p.info-error-text{
		margin: 0.5vw 0;
	}
	/* POPUP FORM */
	.innerPopup {
    	width: 50vw;
    	padding: 5vw;
	}
	.closePopup {
    	top: 1.5vw;
    	right: 1.5vw;
	}
	.closePopup span {
    	font-size: 1.8vw;
	}
	h2.titlePopup {
    	margin-bottom: 1.8vw;
	}
	p.textPopup {
    	width: 36vw;
	}
	/* FOOTER */
	img.logoFooter{
		width: 22vw;
	}
}

